### Method

# Clutter Script add_search_paths

#### Declaration [src]

    void
    clutter_script_add_search_paths (
      ClutterScript* script,
      const gchar* const* paths,
      gsize n_paths
    )

#### Description [src]

Adds `paths` to the list of search paths held by `script`.

The search paths are used by `clutter_script_lookup_filename()`, which can be used to define search paths for the textures source file name or other custom, file-based properties.

#### Parameters

`paths`

  Type: An array of `gchar*`

  An array of strings containing different search paths.

  The length of the array is specified in the `n_paths` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`n_paths`

  Type: `gsize`

  The length of the passed array.